function [ x ] = is_ns( p, n, m )
%
% check if a probabilistic behaviour is non-signaling, does not check
% normaization or non-negativity!
%
% INPUT
% p: behviour
% n: number of possible measurements
% m: number of possible outcomes for eache measurement (e.g. m = 2)
% 
% OUTPUT
% x: p is non-signaling if x is 0 vector (or close to 0)
%

C = ns_equalities(n,m);

x = C*p;

end

