function [ A_r ] = reduce_polytope( A,B,b )
%
% Reduce set of points A to points that fullfill B*p = b.
%
% INPUT
% A: set of points
% B: linear equalities
% b: constant of linear eqs
%
% OUTPUT
% A_r: set of reduced points
%

C = B*A;

s = size(A,2);

b_rep = repmat(b,1,s);

idx = (sum(C~=b_rep) == 0);

sum(idx)

A_r = A(:,idx);



end

