function [ d ] = verify_seperating_hyperplane( z,z0,p, A )
%
% show some nice statistics of the hyperplane, behaviour p and lds's A
%
% INPUT
% z,z0: hyperplane
% p: behaviour
% A: LDS
%
% OUTPUT
% none
%
disp('#######################');
fval = z'*p - z0;
%disp(['# fval = ', num2str(fval)]);
if (fval > eps)
    disp('# ======== Outside of polytope ===========');
end

d = zeros(size(A,2),1);
for i = 1:size(A,2)
    q = A(:,i);
    d(i) = (z'*q - z0);
end




% min distance to hyperplane by all lds
[nul,min_index] = min(abs(d));
d_min = d(min_index);
d_max_positive = max(d);
d_max_negative = min(d);


d_p = (fval);


%plot
plot(1:size(A,2),d);
hold on;
line([1,size(A,2)],[d_p,d_p],'Color','r');
hold off;

disp(['# d_p   = ', num2str(d_p)]);
disp(['# d_lds_min = ', num2str(d_min)]);
disp(['# d_lds_max_+ = ', num2str(d_max_positive)]);
disp(['# d_lds_max_- = ', num2str(d_max_negative)]);

disp('#######################');


end

