function hs = Hilbert_Schmidt_norm (A,B)
%
% Compute the Hilber Schmidt norm between two elements
% This is simply abs(<A,B>), with abs(X) == sqrt(X'*X);
% 
% Usage 1: hs = Hilbert_Schmidt_norm (A,B)
% 
% Usage 2: hs = Hilbert_Schmidt_norm (A)
%     Equivalent to Hilbert_Schmidt_norm (A,A) (will always give one for pure states, and <=1 for density matrices)
%

if nargin == 1
    hs = abs(trace(A'*A));
else    
    hs = abs(trace(A'*B)); 
end