function d = dist_Bures (dm1, dm2)
%
% Compute the Bures distance between two density matrices
% Range is scaled to the range ..1 for DMs 
%
% Usage: d = dist_Bures (dm1, dm2)
%
% Reference:
% [1] D. Bures, Trans. Am. Math. Soc. 135, 199 (1969)
% [2] Marian, Marian and Scutaru, Phys. Rev. A 68, 062309 (2003)
%

d = sqrt(2-2*sqrt(fidelity(dm1,dm2))) / sqrt(2); % sqrt(2) is for 0..1 normalization
