function d = dist_Bures_angle (dm1, dm2)
%
% Compute the Bures angle between two density matrices
% Range is scaled to give 0..1 for DMs
%
% Usage: d = dist_Bures_angle (dm1, dm2)
%
% Reference:
% [1] Nielsend & Chung (9.82) p 413
%

d = acos(fidelity(dm1,dm2)) / (pi/2); % The pi/2 is for 0..1 normalization
