function d = dist_Fubini_Study (pure1, pure2)
%
% The Fubini-Study metric for two pure states
% Range is scaled to give 0..1 for pure states (norm 1 vectors)
% 
% The unscaled FS metric is simply acos(abs(<pure1 | pure2>)), which is the angle between the pure states
%
% Note: The Bures angle (dist_Bures_angle) is the extension to mixed-states of the Fubini-Study metric.
%

d = acos(abs(pure1'*pure2)) / (pi/2); % The pi/2 is for 0..1 normalization
