function d = dist_Hilbert_Schmidt (rho, sigma)
%
% Compute the Hilbert Schmidt distance (i.e. sqrt of inner product) between two density matrices.
% 
% Usage: d = dist_Hilbert_Schmidt (rho, sigma)
%
% Important note: The distance is normalized (/2) so it is always in the 0..1 range for DMs. 
%

d = Hilbert_Schmidt_norm(rho-sigma) / 2; % /2 to normalize to 0..1 range for DMs

