function dist = dist_trace(dm1, dm2)
%
% Compute the trace distance between to matrices
% 
% Usage: dist = dist_trace(dm1, dm2)
%     dm1, dm2   The density matrices (in any order)
%     dist       0..1 for density matrices
%
% dist = 0.5 trace mat_abs(dm1-dm2)
%
% Reference:
%     [1] Quantum information and quantum computation, Nielsen and Chuang (textbook), section 9.1
%

dist = 0.5 * trace_norm(dm1-dm2);

