function dm = Gisin (p)
%
% Compute the Gisin state, a paramtrized shift from the mixed UU,DD to
% the coherent UU+DD
%
% Usage: dm = Gisin (p)
%     p    0 for the mixed state, 1 for the pure state
%     dm   The resulting state
%
% Reference: 
% [1] "Seperability Criterion for Density Matrices", Asher Peres, PRL 77(8)/1413(1996)
%

global QLib;

upup = [1 0 0 0]';
downdown = [0 0 0 1]';
dm = p*pure2dm(QLib.Bell.psi_plus) + (1-p)/2*pure2dm(upup) + (1-p)/2*pure2dm(downdown);
