function dm = Werner(s, pure)
%
% Generate a (generalized) Werner state
%
% Usage: dm = Werner(s<, pure>)
%     s    The mixing weight associated with the pure state
%     pure The pure state mixed with I. Defaults to QLib.Singlet 
%
% Rerefence:
%     [1] quant-ph/0001110: Note on Separability of the Werner states in arbitrary dimensions, Pittenger & Rubin
%

global QLib;

if nargin < 2
    pure = QLib.Singlet;
end

dm = s*pure2dm(pure) + (1-s)*eye(length(pure))/length(pure);
