function dm = rho3(p)
%
% Compute the Gisin state, a paramtrized shift from the pure UU to
% the Bell UD+DU
%
% Usage: dm = rho3 (p)
%     p    0 for UU, 1 for the Bell UD+DU
%     dm   The resulting state
%
% Reference: 
% [1] "Seperability Criterion for Density Matrices", Asher Peres, PRL 77(8)/1413(1996)
%

global QLib;

dm = (1-p) * pure2dm([1 0 0 0]') + p*pure2dm(QLib.Bell.phi_plus);