function D = Deutsch_gate(theta)
%
% Compute the Deutsch gate for a given angle
%
% Usage: D = Deutsch_gate(theta)
%

D_tensor = zeros(2,2,2,2,2,2); % A_ket,A_bra, B_ket,B_bra, C_ket,C_bra

for i_bra=1:2
    for j_bra=1:2
        for k_bra=1:2
            if i_bra == 2 && j_bra == 2
                D_tensor(i_bra,i_bra, j_bra,j_bra,   k_bra,k_bra) = i*cos(theta);
                D_tensor(i_bra,i_bra, j_bra,j_bra, 3-k_bra,k_bra) =   sin(theta);
            else
                D_tensor(i_bra,i_bra, j_bra,j_bra, k_bra,k_bra) = 1;
            end
        end
    end
end

D = cleanup(tensor2dm(D_tensor));


