function gate = swap_gate (dim)
%
% Swap gate of arbitrary dimension
%
% Usage: gate = swap_gate (dim)
%     dim    Dimension of the particles to swap
%     gate   The resulting unitary transformation
%
% The two qbit swap gate is stored in QLib.gates.swap
%

gate_tensor = zeros(dim,dim, dim,dim);

for j = 1:dim
    for k= 1:dim 
        gate_tensor(k,j,j,k) = 1;
    end
end

gate = tensor2dm(gate_tensor);