function vec = majorization_vector (dm)
%
% Compute the vector for which we compute majorization (internal use)
%
% Usage: vec = majorization_vector (dm)
%     dm    A density matrix
%     vec   The returned vector
%
% Reference: 
%     [1] Majorization and its application in quantum information theory, M. A. Nielsen
%     [2] Majorization and the interconversion of bipartite states, Nielsen and Vidal,
%         Quantum Information and Computation 1, 76–93, 2001
%

vec = sort(cleanup(eig(dm)),'descend');