function out_pure = dephase_pure (in_pure)
%
% Set the global phase of a pure state to "real"
%
% Usage: out_pure = dephase_pure (in_pure)
%
% The function finds the first non-zero element in the pure state
% and sets the global phase so that this element is real.
%

vich = find(in_pure~=0, 1, 'first');
phasor = in_pure(vich)/abs(in_pure(vich));

out_pure = in_pure ./ phasor;
