function cl = dm2classical (dm, check)
%
% Convert a density matrix that represents a classical distribution to classical
% distribution vector
%
% Usage: pure = dm2pure (dm [, check])
%     dm - The density matrix
%     check - Whether to validate if the dm is indeed a pure state, defaults to "1" (yes)
%     pure - The pure state. If validation is requested and fails, [] is returned.
%

if nargin < 2
    check = 1;
end

cl = diag(dm);
if check && ~is_close(classical2dm(cl), dm)
    cl = [];
end
