function pure = dm2pure (dm, check)
%
% Convert a density matrix that represents a pure state to a pure state
%
% Usage: pure = dm2pure (dm<, check>)
%     dm - The density matrix
%     check - Whether to validate if the dm is indeed a pure state, defaults to "1" (yes)
%     pure - The pure state. If validation is requested and fails, [] is returned.
%

if nargin < 2
    check = 1;
end

dm = cleanup(dm);
row = find(diag(dm), 1, 'first');

pure = dm(:,row) ./ sqrt(dm(row,row));
if check && ~is_close(pure2dm(pure),dm)
    pure = [];
end
