function [rho] = pure2dm (psi)
%
% Convert a pure state to a density matrix
%
% Usage: rho = pure2dm (psi)
%     psi - The pure state (a column vector)
%     rho - The density matrix
%
% Note: Make sure psi is not a row vector, or you'll end up with a scalar
%

rho = psi*psi';


