function tensor = pure2tensor (pure, desc)
%
% Transforms a pure state into a pure-state tensor
%
% Usage: tensor = pure2tensor (pure [, desc])
%     pure - The pure state
%     desc - The descriptor (optional if all qbits)
%     tensor - The density tensor
%

if nargin < 2
    desc = gen_desc(pure);
else
    desc = reshape(desc,1,length(desc)); % Make sure it's a row vector
end

if length(desc) > 1
    tensor2 = reshape(pure, fliplr(desc));
    tensor  = permute(tensor2, [length(desc):-1:1]);
else
    tensor = pure;
end