function [pure,desc] = tensor2pure (tensor)
%
% Transforms a pure-state tensor into a pure state column vector
%
% Usage: [pure,desc] = tensor2pure (tensor)
%     tensor - The pure-state tensor
%     pure - The density matix
%     desc - The descriptor (optional)
%

sz = fliplr(to_row(size(tensor)));
pure = reshape(permute(tensor, [length(sz):-1:1]), prod(sz), 1);

if nargout > 1
    desc = sz;
end
