function c = concurrence_pure (pure)
%
% Concurrence for a 2-qubit pure state
%
% Usage: c = concurrence_pure (pure)
%     dm    The 4x1 vector
%     c     The concurrence
%
% Reference:
% [1] "Entanglement of Formation of an Arbitrary State of Two Qubits", William K. Wootters,  Phys. Rev. Lett. 80, 2245�2248 (1998)
%

c = 2*abs(pure(1)*pure(4)-pure(2)*pure(3));