function e = entanglement(pure, bipartition, desc)
%
% Compute the entanglement for a given bipartition of a pure state
%
% Usage: e = entanglement(pure, bipartition, desc)
%     pure         The pure state
%     bipartition  The bipartition mask. Optional for two particles
%     desc         The descriptor of the state. Optional for qbits
%

if nargin < 2
    desc = gen_desc(pure);
    if length(desc) == 2
        bipartition = [1 0];
    end
elseif nargin < 3
    desc = gen_desc(pure);
end

dm = partial_trace_pure(pure, bipartition, desc);

e = S_Von_Neumann(dm);
