function ef = entanglement_of_formation (dm_22)
%
% Compute the entanglement of formation for a two qbit state
%
% Usage: ef = entanglement_of_formation (dm_22)
%     dm_22   The two qbit density matrixc
%     ef      The entanglement of formation
%
% Reference:
% [1] Wootters, Phys Rev Lett 80, 2245 (1998)
%

ef = SvN2((1+sqrt(1-concurrence(dm_22)^2))/2);