function rob = robustness_pure(pure, bipartition_mask, desc)
%
% Compute the robustness of a bipoartition of a pure state
%
% Usage: rob = robustness_pure(pure<, bipartition_mask<, desc>>)
%     pure             The pure state
%     bipartition_mask The bi-partition (optional for two qubits)
%     desc             The state's descriptor (optional for all qbits)
%
% MISSING: Reference 
%

if nargin < 3
    desc = gen_desc(pure);
end
if length(desc) == 2 && nargin < 2
    bipartition_mask = [1 0];
end

schmidt_coefs = schmidt_decomp (pure, bipartition_mask, desc);

rob = sum(schmidt_coefs)^2-1;