function sn = schmidt_number(pure, bipartition_mask, desc)
%
% The number of non-zero Schmidt coeficients
% 
% Usage: sn = schmidt_nubber (pure<, bipartition_mask<, desc>>)
%     pure              The pure state on which we do the Schmidt decomposition
%     bipartition_mask  Schmidt decomp is always bipartite. Not requied for two particles.
%     desc              The state's descriptor. Not required for qubits
%

global QLib;

if nargin < 3
    desc = gen_desc(pure);
end
if length(desc) == 2 && nargin < 2
    bipartition_mask = [1 0];
end

schmidt_coefs = cleanup(schmidt_decomp (pure, bipartition_mask, desc));

sn = sum(schmidt_coefs > QLib.close_enough);