function s = S_Von_Neumann(rho)
%
% Von-Neumann Entropy (for a density matrix)
%
% Usage: s = S_Von_Neumann(rho)
%

if ~is_nice(rho)
    s = NaN;
else
    s = H_Shannon(real(eig(rho)));   % "real" is to kill of tiny imaginary parts
end
