function pr = participation_ratio (dm)
%
% Estimate of the effective number of states in the mixture
%
% Usage: pr = participation_ratio (dm)
%
% The participation ratio is 1 for for pure states, N for fully mixed states
% and can be interpreted as the effective number of states in the mixture.
%
% Reference: 
% [1] "Volume of the set of separable states", Zyczkowski, Horodecki, Sanpera and Lewenstein, PRA 58(2) p883 (1998)
%

pr = real(1/trace(dm*dm));
