function pr = purity(rho)
%
% Compute the purity (measure of mixingness) of a given density matrix
%
% Usage: pr = purity(rho)
%     rho   The density matrix
%     pr    The purity
%
% A pure state has purity 1
% A completely mixed state would have a purity of 1/N (where N = prod(desc)), 
%     which is also the minimal value possible
%

pr = trace(rho^2);
