function inf = mutual_info_cpd(cpd, bipartition_mask, desc)
%
% Compute the mutual information for a classical probability distribution
%
% Usage: inf = mutual_info_pure (cpd, bipartition_mask, desc)
%     cpd       The distributiondescribing the system
%     bipartition_mask  Mutual info of which two parts of the system? (optional for a bipartite system)
%     desc      The descriptor (optional for bits)
%     inf       The mutual information
%

if nargin < 3
    desc = gen_desc(cpd);
end

if (length(desc) == 2) && nargin < 2
    bipartition_mask = [1 0];
end

bipartition_mask = logical(bipartition_mask);

inf = H_Shannon(partial_trace_cpd(cpd,  bipartition_mask, desc)) + ...
      H_Shannon(partial_trace_cpd(cpd, ~bipartition_mask, desc)) - ...
      H_Shannon(cpd);

