function inf = mutual_info_pure(state, bipartition_mask, desc)
%
% Compute the mutual information
%
% Usage: inf = mutual_info_pure (state, bipartition_mask, desc)
%     state     The pure state describing the system
%     bipartition_mask  Mutual info of which two parts of the system? (optional for two particles)
%     desc      The descriptor. May be dropped for qbits
%     inf       The mutual information
%

if nargin < 3
    desc = gen_desc(state);
end    
if (nargin < 2) && (length(desc) == 2)
    bipartition_mask = [1 0];
end
bipartition_mask = logical(bipartition_mask);

inf = S_Von_Neumann(partial_trace_pure(state,  bipartition_mask, desc)) + ...
      S_Von_Neumann(partial_trace_pure(state, ~bipartition_mask, desc)); % - 0

