function s = SU_param_form (N)
%
% Compute which generators to utilize in the param_SU parametrization (internel use)
%
% Usage: s = param_SU_form(N)
%     s - A vector of N^2-1 generator numbers to use. See the reference for details
%
% Note: The order in which generators are specified is critical, as this sequence is assumed in
%       param_SU_over_U and elsewhere. 
%
% References:
%     math-ph/0205016: Generalized Euler Angle Parametrization for SU(N), Tilma & Sudarshan
%


    function j = j_func (m)
        j = (N+m-1)*(N-m);
    end

    function A_func(k,m,pos)
        s(pos) = 3;
        s(pos+1) = (k-1)^2+1;
    end

s = zeros(1,N^2-1);
pos = 1;

for m=N:-1:2
    for k=2:m
        A_func(k,m, pos);
        pos = pos + 2;
    end
end
for m=2:N
    s(pos) = m^2-1;
    pos = pos + 1;
end

end
