function ret = param_U_2(p)
% 
% Parametrization of U(N) - a trivial alternative
%
% Usage: ret = param_U_2(p)
%     p - Vector of N^2 elements
%     ret - The U(N) member
%
% The N^2 parameters are simply the factors multiplying the N^2 generators
%
% Notes:
%     * The routine determines the N in U(N) from the length of p
%     * Although all parameters are cyclic, they have different periods, due to the different eigenvalues 
%       of the generators of the algebra. Order of magnitude is 1/sqrt(N)
%


global QLib;

N = sqrt(length(p));
ret = param_SU_2(p(1:end-1)) .* exp(i*p(end));

