function runstamp(any_string)
%
% Print the script/function being executed, and the time it was run 
% This may be useful for logging purposes.
% The parameter is repeated in the output.
%

if nargin < 1
    any_string = '';
end

st_full = dbstack('-completenames');
st = dbstack();
if length(st) > 1
    fprintf ('%s line %d\n', st_full(length(st)).file, st(length(st)).line);

    for k=(length(st)-1):-1:2 % Entry #1 is runstamp
        fprintf ('    %s line %d', st(k).file, st(k).line);
    end
end
fprintf ('%s\nExecuted on %s\n', any_string, datestr(now, ' mmmm dd, yyyy HH:MM:SS.FFF AM'));
fprintf ('\n');