function ret = all_perm_by_count (elements, count)
%
% Generate all unique permutation, accounting for identical elements
%
% Usage: ret = all_permutations ([elements,] count)
%     elements - What are the numbers to be permuted. Default 1..length(count)
%     count    - How many are there of each element
%     ret      - A matrix with a row per permutation
%
    
if nargin == 1
    count = elements;
    elements = 1:length(count);
end

Nb = length(count);
N = sum(count);

L = factorial(N);
for k = 1:Nb
    L = L / factorial(count(k));
end

perm_arr = zeros(L,N);
perm_arr_pos = 1;

    function all_perm (curr_perm, curr_perm_pos, bucket_sizes)
        if curr_perm_pos > N
            perm_arr(perm_arr_pos,:) = curr_perm;
            perm_arr_pos = perm_arr_pos + 1;
            return;
        end
        for k = 1:Nb
            if bucket_sizes(k) > 0
                curr_perm(curr_perm_pos) = k;
                new_buckets = bucket_sizes;
                new_buckets(k) = new_buckets(k) - 1;
                all_perm(curr_perm, curr_perm_pos+1, new_buckets);
            end
        end
    end

all_perm(NaNs(1,N), 1, count);

ret = elements(perm_arr);

end