function ret = cleanup(a)
%
% Huristic clean-up of values:
%     - Almost integers are rounded
%     - Almost reals are realed / almost imaginary are imagined ;-)
%
% Usage: ret = cleanup(a)
%
% Note: "Almost" defined by the "is_close" method and QLib.close_enough constant
%

global QLib;

N = numel(a);

ret = a;
for k=1:N
    if is_nice(a(k))
        if is_close(ret(k),round(ret(k)))
            ret(k) = round(a(k));
        end
        if is_close(ret(k),real(ret(k)))
            ret(k) = real(ret(k));
        elseif is_close(ret(k),imag(ret(k)))
            ret(k) = imag(ret(k));
        end
    end
end
