function c = direct_sum (varargin);
%
% Compute the direct sum of any number of matrices
%
% Usage: c = direct_sum (varargin);
%     varargin   Any number of matrices
%     c          The direct sum
%
% Example:
%     A = [1 2; 3 4]; B = [5 6; 7 8];
%     C = direct_sum (A,B)
%         1     2     0     0
%         3     4     0     0
%         0     0     5     6
%         0     0     7     8
%

xs = 0; ys = 0;
for k = 1:nargin
    ys = ys + size(varargin{k},1);
    xs = xs + size(varargin{k},2);
end

c = zeros(ys,xs);

xp = 0; yp = 0;
for k = 1:nargin
    c(yp+(1:size(varargin{k},1)),xp+(1:size(varargin{k},2))) = varargin{k};
    yp = yp + size(varargin{k},1);
    xp = xp + size(varargin{k},2);
end
