function n = irand(p1,p2,varargin)
% 
% Generate integer random numbers in a given range
%
% Usage: n = irand(p1<,p2<. ...>>)
% 
% Examples:
%   irand(4)       Choose a single random integer from {1,2,3,4}
%   irand(3,7)     Choose a single random integer from {3,4,5,6,7} 
%   irand(1,3,N,M) Create an NxM matrix, each cell containing one of 1, 2 or 3 at random
%   irand(-2,1,5)  Create a 5x5 matrix, each cell containing on of {-2,-1,0,1} at random
%

if nargin == 1
    low = 1;
    high = p1;
else
    low = p1;
    high = p2;
end

n = floor(rand(varargin{:})*(high-low+1)) + low;