function yn = is_pos_semidef(A)
%
% Is the matrix positive semi-definite?
%
% See [http://en.wikipedia.org/wiki/Positive-definite_matrix#Non-Hermitian_matrices] for a brief discussion
%

if ~isreal(A) && ~is_Hermitian(A)
    yn = false;
    return;
end
    
symmetric_part = (A'+A)/2;

e = cleanup(eig(symmetric_part));

yn = (sum(e<0) == 0);
