function v = steps(from, to, N)
%
% Generate a vector with a given number of equally spaced points.
% End points always appear and are included in the count.
%
% Usage: steps(from, to, N)
%     N    Number of points in the resulting array
%
% Example: steps(1,5,3) = [1 2.5 5]
%

v = [from:((to-from)/(N-1)):to];