function [min_point, min_val] = fmax_anneal(funfcn,varargin)
% 
% Search for global maximum, using fmin_anneal (simulated annealing)
%
% Usage: [min_point, min_val] = fmax_anneal(funfcn,...)
%
% See fmin_anneal for further details
%

[min_point, min_val_t] = fmin_anneal(@(x) -funfcn(x), varargin{:});

if nargout >= 2
    min_val = -min_val_t;
end
