function [min_point, min_val] = fmax_combo(funfcn,varargin)
% 
% Search for global maximum, using fmin_combo (combined search method)
%
% Usage: [min_point, min_val] = fmax_combo(funfcn,...)
%
% See fmin_combo for further details
%

if nargin == 4
    [min_point, min_val_t] = fmin_combo(@(x) -funfcn(x), -varargin{1}, varargin{2:end});
else
    [min_point, min_val_t] = fmin_combo(@(x) -funfcn(x), varargin{:});
end

if nargout >= 2
    min_val = -min_val_t;
end
