function [ M ] = observable2povm( H )
%
% generate POVM for corresponding hermitian observable
%
% INPUT
% H: hermitian observable
%
% OUTPUT
% M: (2,2,m) POVM

[V,D] = eig(H);

m = size(V,2);

M = zeros(2,2,m);

for i = 1:m
    M(:,:,i) = V(:,i) * V(:,i)';
end


end

