function [ T ] = pauli_representation_T( rho )
%PAULI_REPRESENTATION_T Summary of this function goes here
%   Detailed explanation goes here

% Pauli matrices
sigma = zeros(2,2,3);
sigma(:,:,1) = [0  1; 1  0];
sigma(:,:,2) = [0 -1i; 1i  0];
sigma(:,:,3) = [1  0; 0 -1];

% calculate T matrix
T = zeros(3,3);
for m = 1:3
    for n = 1:3
        s = kron(sigma(:,:,n),sigma(:,:,m));
        T(n,m) = trace(rho*s);
    end
end


end

