function [ M ] = standard_basis_povm( n,m,b )
%
% Return a POVM for measurment in standard basis
%
% INPUT
% n:
% m:
% b: standard basis (default eye(m))
%
% OUTPUT
% M: measurement in standard basis
%

if(nargin < 3)
    b = eye(m);
end

M = zeros(m,m,m,n);
for i = 1:n
    for j = 1:m
        M(:,:,j,i) = b(:,j) * b(:,j)';
    end
end

end

