%% sample points around p in ns directions 

k = 200;
block_size = 1e3;
epsilon = 1.8;

% use zero constraints?
zero_constraints = false;


cont_on_out = false; % continue if outside point is found?
t_max = 1e6; % maximum number of tries
tol = 1e-10; % tolerance for zero checks

if (zero_constraints)
    % use zero constrained basis and reduced set of LDS
    zidx = find(p==0);
    B = ns_basis(n,m,zidx);
    %also you may use a restricted set of LDS
    ridx = find(sum(A_lds(zidx,:))==0);
    A = A_lds(:,ridx);
else
    % sample basis (NS basis)
    B = ns_basis(n,m);
    A = A_lds;
end

% Point inside and outside are stored in P_inside, P_outside respectively
% P_dunno contains points where the LP crashed or other unknown error
% occured
tic
[ P_inside,P_outside,P_dunno ] = sample(p,A,B,k,epsilon,block_size,cont_on_out,tol,t_max);
toc